extends Area

export var yarnScript : Resource

var enabled := false

func enable():
	enabled = true

func on_touch(body):
	if enabled:
		EventDispatcher.emit_signal("trigger_script", yarnScript)
		enabled = false
